{% extends "@Paa/Default/entityFormBaseGrille.html.twig" %}
{#MC 20200910 DEBUT#}
{#Partie grille des  et adresses#}
{% block datatable_title %}
    <th id="iidReferent" style="display: none">Id</th>
    <th id="ctypelien">Lien</th>
    <th id="cnom">Nom</th>
    <th id="cprenom">Prénom</th> 
    <th id="cportable">Portable</th>
    <th id="ctelbureau">Tel Bureau</th>
    <th id="cteldomicile">Tel Domicile</th>
    <th id="cmel">E-mail</th>
    <th id="cadresse">Adresse</th> 
    <th id="ccp">CP</th>
    <th id="cville">Ville</th>
    {% endblock %}
    {% block datatable_body %}
        {% set iRow = 0 %}
        {% for row in poEntité.listeReferents %}
        <tr>
            <td id ="row_{{ iRow|raw }}_iidReferent" style="display: none" name="{{ row.iidReferent }}"> {{ row.iidReferent }} </td>
            <td id ="row_{{ iRow|raw }}_ctypelien"> {{ row.ctypelien}} </td>
            <td id ="row_{{ iRow|raw }}_cnom"> {{ row.cnom}} </td> 
            <td id ="row_{{ iRow|raw }}_cprenom"> {{ row.cprenom}} </td> 
            <td id ="row_{{ iRow|raw }}_cportable"> {{ row.cportable}} </td> 
            <td id ="row_{{ iRow|raw }}_ctelbureau"> {{ row.ctelbureau }} </td> 
            <td id ="row_{{ iRow|raw }}_cteldomicile"> {{ row.cteldomicile }} </td>
            <td id ="row_{{ iRow|raw }}_cmel"> {{ row.cmel }} </td>
            <td id ="row_{{ iRow|raw }}_cadresse"> {{ row.cadresse }} </td>
            <td id ="row_{{ iRow|raw }}_ccp"> {{ row.ccp }} </td>
            <td id ="row_{{ iRow|raw }}_cville"> {{ row.cville }} </td>
        </tr>
        {% set iRow = iRow + 1%}
    {% endfor %}
{% endblock %}

{#Formulaire de saisie de l'entité#}
{% block postGrille %}
    <div id="formulaire_DataTable_referents" class="spliteB "></div>
{% endblock %}
{% block scriptSplit %}

    Split(['.spliteA', '.spliteB'], {
        gutterSize: 5,
        sizes: [75, 25],
        minSize: [300, 350],
    });


{% endblock %}
